package com.hohai.juncao ;

import javax.ejb.EJBException ;
import javax.ejb.SessionBean ;
import javax.ejb.SessionContext ;

public class HelloLocalBean
	implements SessionBean
{
	private SessionContext ctx = null ;

	public void ejbActivate( )
		throws EJBException
	{
		// DO NOTHING
	}

	public void ejbPassivate( )
		throws EJBException
	{
		// DO NOTHING
	}

	public void ejbRemove( )
		throws EJBException
	{
		// DO NOTHING
	}

	public void setSessionContext( SessionContext ctx )
		throws EJBException
	{
		this.ctx = ctx ;
	}

	public String say( )
	{
		return "Hello World!" ;
	}
}
